/*  libcalenabler - Library of calendaring and scheduling enabler
 *  caltemplate.h - define template structure and the functions 
 *  Authors: YANG Lin <lin.yang@orange-ftgroup.com> 
 *  
 *  This software and associated documentation files (the "Software") 
 *  are copyright (C) 2005 LiPS Linux Phone Standards Forum [FranceTelecom] 
 *  All Rights Reserved. 
 *
 *  A copyright license is hereby granted for redistribution and use of 
 *  the Software in source and binary forms, with or without modification, 
 *  provided that the following conditions are met: 
 *  - Redistributions of source code must retain the above copyright notice, 
 *  this copyright license and the following disclaimer. 
 *  - Redistributions in binary form must reproduce the above copyright 
 *   notice, this copyright license and the following disclaimer in the 
 *  documentation and/or other materials provided with the distribution. 
 *  - Neither the name of LiPS  nor the names of its Members may be used 
 *  to endorse or promote products derived from the Software without 
 *  specific prior written permission. 
 *
 *  A patent license for any Necessary Claims owned by Members of LiPS Forum 
 *  to make, have made, use, import, offer to sell, lease and sell or otherwise 
 *  distribute any implementation compliant with the any specification adopted 
 *  by the LiPS Forumcan be obtained from the respective Members on reasonable 
 *  and non-discriminatory terms and conditions and under reciprocity, as 
 *  regulated in more detail in the Internal Policy of the LiPS Forum. 
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER, ITS MEMBERS AND CONTRIBUTORS 
 *  "AS IS", AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
 *  AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER, 
 *  ITS MEMBERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 *  POSSIBILITY OF SUCH DAMAGE. 
 */  
  
#ifndef  __LIPS_CAL_TEMPLATE_H
#define  __LIPS_CAL_TEMPLATE_H
  
#include <caltype.h>
  
#ifdef __cplusplus
extern "C"
{
#endif  /* __cplusplus */

  typedef struct _FieldTemplate FieldTemplate;
   
#define    CAL_TEMPLATE_TYPE_BOOLEAN    0
#define    CAL_TEMPLATE_TYPE_INTEGER    1
#define    CAL_TEMPLATE_TYPE_STRING    2
#define    CAL_TEMPLATE_TYPE_URI      4
#define    CAL_TEMPLATE_TYPE_TIME      5
   
#define    CAL_TEMPLATE_ID_INVALID      0
#define    CAL_TEMPLATE_ID_START      1
#define    CAL_TEMPLATE_ID_USER_DEFINED  1000
   
#define    CAL_ATTR_NONE          0
#define    CAL_ATTR_REQUIRED        (0x1 << 0)

  struct _FieldTemplate
  {
    cal_uint32_t identifier;
    cal_char_t   *label;
    cal_uint32_t type;
    cal_uint32_t attribute;
    cal_uint32_t max_size;
  };
   
#ifdef __cplusplus
} 
#endif  /* __cplusplus */
 
#endif  /* __LIPS_CAL_TEMPLATE_H */
 
/*
vi:ts=2:nowrap:ai:expandtab
*/ 
 

