/*  libcalenabler - Library of calendaring and scheduling enabler
 *  caltype.h - some types defined for libcalenabler 
 *  Authors: YANG Lin <lin.yang@orange-ftgroup.com> 
 *  
 *  This software and associated documentation files (the "Software") 
 *  are copyright (C) 2005 LiPS Linux Phone Standards Forum [FranceTelecom] 
 *  All Rights Reserved. 
 *
 *  A copyright license is hereby granted for redistribution and use of 
 *  the Software in source and binary forms, with or without modification, 
 *  provided that the following conditions are met: 
 *  - Redistributions of source code must retain the above copyright notice, 
 *  this copyright license and the following disclaimer. 
 *  - Redistributions in binary form must reproduce the above copyright 
 *   notice, this copyright license and the following disclaimer in the 
 *  documentation and/or other materials provided with the distribution. 
 *  - Neither the name of LiPS  nor the names of its Members may be used 
 *  to endorse or promote products derived from the Software without 
 *  specific prior written permission. 
 *
 *  A patent license for any Necessary Claims owned by Members of LiPS Forum 
 *  to make, have made, use, import, offer to sell, lease and sell or otherwise 
 *  distribute any implementation compliant with the any specification adopted 
 *  by the LiPS Forumcan be obtained from the respective Members on reasonable 
 *  and non-discriminatory terms and conditions and under reciprocity, as 
 *  regulated in more detail in the Internal Policy of the LiPS Forum. 
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER, ITS MEMBERS AND CONTRIBUTORS 
 *  "AS IS", AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
 *  AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER, 
 *  ITS MEMBERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 *  POSSIBILITY OF SUCH DAMAGE. 
 */  
  
#ifndef __LIPS_CAL_TYPE_H
#define __LIPS_CAL_TYPE_H
#include <time.h>
#ifdef __cplusplus
extern "C"
{
  
#endif  /* __cplusplus */
  
/*
 * basic type definition
 */ 
  
#ifdef  TRUE
#undef  TRUE
#endif  
#ifdef  FALSE
#undef  FALSE
#endif 
  typedef enum
  { 
    TRUE = 1, 
    FALSE = 0, 
  } cal_boolean_t;
  
  typedef char cal_char_t;
  typedef unsigned char cal_uchar_t;
  typedef int cal_int_t;
  typedef unsigned int cal_uint_t;
  typedef short cal_short_t;
  typedef unsigned short cal_ushort_t;
  typedef long cal_long_t;
  typedef unsigned long cal_ulong_t;
  typedef float cal_float_t;
  typedef double cal_double_t;
  typedef char cal_int8_t;
  typedef unsigned char cal_uint8_t;
  typedef short cal_int16_t;
  typedef unsigned short cal_uint16_t;
  typedef long cal_int32_t;
  typedef unsigned long cal_uint32_t;
  typedef long long cal_int64_t;
  typedef unsigned long long cal_uint64_t;
  typedef void *cal_pointer_t;
  typedef const void *cal_constpointer_t;
  typedef time_t cal_time_t;
  
#ifdef __cplusplus
} 
#endif  /* __cplusplus */
 
#endif  /* __LIPS_CAL_TYPE_H */
 
/*
vi:ts=2:nowrap:ai:expandtab
*/ 

